## astropy 3.0

=== cextern/expat/amiga/Makefile ===
#
# Makefile for AmigaOS
#

.PHONY: help all check clean package
.PHONY: clib2 newlib library so

vpath %.c ../lib ../examples ../xmlwf ../tests ../tests/benchmark
vpath %.h ../lib ../tests

#############################################################################

help:
	@echo "Requires:"
	@echo " AmigaOS 4.x"
	@echo " SDK 53.13"
	@echo ""
	@echo "Targets:"
	@echo " all     - make libraries, xmlwf, examples and runs tests"
	@echo " install - install expat libraries and tools into SDK"
	@echo " clean   - clean object files"
	@echo " check   - run all the tests"
	@echo " package - prepare distribution archive"

all: clib2 newlib library so check

clib2: clib2/libexpat.a clib2/xmlwf clib2/elements clib2/outline clib2/runtests clib2/benchmark

newlib: newlib/libexpat.a newlib/xmlwf newlib/elements newlib/outline newlib/runtests newlib/benchmark

library: libs/expat.library libs/xmlwf libs/elements libs/outline libs/runtests libs/benchmark

so: so/libexpat.so so/xmlwf so/elements so/outline so/runtests so/benchmark

check: clib2/runtests newlib/runtests libs/runtests so/runtests
	clib2/runtests
	newlib/runtests
	libs/runtests
	so/runtests

clean:
	-delete clib2/#?.o quiet
	-delete newlib/#?.o quiet
	-delete libs/#?.o quiet
	-delete so/#?.o quiet

package:
	$(MAKE) all
	-delete T:expat all force quiet
	makedir all T:expat/Workbench/Libs
	copy clone libs/expat.library T:expat/Workbench/Libs
	makedir all T:expat/Workbench/SObjs
	copy clone so/libexpat.so T:expat/Workbench/SObjs
	makedir all T:expat/SDK/Local/C
	copy clone libs/xmlwf T:expat/SDK/Local/C
	makedir all T:expat/SDK/Local/clib2/lib
	copy clone clib2/libexpat.a T:expat/SDK/Local/clib2/lib
	makedir all T:expat/SDK/Local/newlib/lib
	copy clone newlib/libexpat.a T:expat/SDK/Local/newlib/lib
	makedir all T:expat/SDK/Local/common/include
	copy clone /lib/expat.h /lib/expat_external.h T:expat/SDK/Local/common/include
	makedir all T:expat/SDK/Include/include_h/inline4
	copy clone include/inline4/expat.h T:expat/SDK/Include/include_h/inline4
	makedir all T:expat/SDK/Include/include_h/interfaces
	copy clone include/interfaces/expat.h T:expat/SDK/Include/include_h/interfaces
	makedir all T:expat/SDK/Include/include_h/libraries
	copy clone include/libraries/expat.h T:expat/SDK/Include/include_h/libraries
	makedir all T:expat/SDK/Include/include_h/proto
	copy clone include/proto/expat.h T:expat/SDK/Include/include_h/proto
	makedir all T:expat/SDK/Documentation/Libs/Expat
	copy clone /COPYING T:expat/SDK/Documentation/Libs/Expat
	copy clone /README T:expat/SDK/Documentation/Libs/Expat
	copy clone README.txt T:expat/SDK/Documentation/Libs/Expat/README.AmigaOS
	-delete expat.lha
	lha -r a expat.lha T:expat

#############################################################################

CC         := gcc
LIBTOOL    := ar
STRIP      := strip

CFLAGS     := -DNDEBUG -O3
LTFLAGS    := -crs
STRIPFLAGS := -R.comment

#############################################################################

clib2/libexpat.a: clib2/xmlparse.o clib2/xmltok.o clib2/xmlrole.o
	$(LIBTOOL) $(LTFLAGS) $@ $^
	protect $@ -e

clib2/xmlparse.o: xmlparse.c expat.h xmlrole.h xmltok.h \
	expat_external.h internal.h amigaconfig.h

clib2/xmlrole.o: xmlrole.c ascii.h xmlrole.h expat_external.h \
	internal.h amigaconfig.h

clib2/xmltok.o: xmltok.c xmltok_impl.c xmltok_ns.c ascii.h asciitab.h \
	iasciitab.h latin1tab.h nametab.h utf8tab.h xmltok.h xmltok_impl.h \
	expat_external.h internal.h amigaconfig.h

#############################################################################

clib2/xmlwf: clib2/xmlwf.o clib2/xmlfile.o clib2/codepage.o clib2/readfilemap.o
	$(CC) -mcrt=clib2 $^ -o $@ clib2/libexpat.a
	$(STRIP) $(STRIPFLAGS) $@

clib2/xmlwf.o: xmlwf.c

clib2/xmlfile.o: xmlfile.c

clib2/codepage.o: codepage.c

clib2/readfilemap.o: readfilemap.c

#############################################################################

clib2/elements: clib2/elements.o
	$(CC) -mcrt=clib2 $^ -o $@ clib2/libexpat.a
	$(STRIP) $(STRIPFLAGS) $@

clib2/elements.o: elements.c

#############################################################################

clib2/outline: clib2/outline.o
	$(CC) -mcrt=clib2 $^ -o $@ clib2/libexpat.a
	$(STRIP) $(STRIPFLAGS) $@

clib2/outline.o: outline.c

#############################################################################

clib2/runtests: clib2/runtests.o clib2/chardata.o clib2/minicheck.o
	$(CC) -mcrt=clib2 $^ -o $@ clib2/libexpat.a

clib2/chardata.o: chardata.c chardata.h

clib2/minicheck.o: minicheck.c minicheck.h

clib2/runtests.o: runtests.c chardata.h

#############################################################################

clib2/benchmark: clib2/benchmark.o
	$(CC) -mcrt=clib2 $^ -o $@ clib2/libexpat.a -lm

clib2/benchmark.o: benchmark.c

#############################################################################

newlib/libexpat.a: newlib/xmlparse.o newlib/xmltok.o newlib/xmlrole.o
	$(LIBTOOL) $(LTFLAGS) $@ $^
	protect $@ -e

newlib/xmlparse.o: xmlparse.c expat.h xmlrole.h xmltok.h \
	expat_external.h internal.h amigaconfig.h

newlib/xmlrole.o: xmlrole.c ascii.h xmlrole.h expat_external.h \
	internal.h amigaconfig.h

newlib/xmltok.o: xmltok.c xmltok_impl.c xmltok_ns.c ascii.h asciitab.h \
	iasciitab.h latin1tab.h nametab.h utf8tab.h xmltok.h xmltok_impl.h \
	expat_external.h internal.h amigaconfig.h

#############################################################################

newlib/xmlwf: newlib/xmlwf.o newlib/xmlfile.o newlib/codepage.o newlib/readfilemap.o
	$(CC) -mcrt=newlib $^ -o $@ newlib/libexpat.a
	$(STRIP) $(STRIPFLAGS) $@

newlib/xmlwf.o: xmlwf.c

newlib/xmlfile.o: xmlfile.c

newlib/codepage.o: codepage.c

newlib/readfilemap.o: readfilemap.c

#############################################################################

newlib/elements: newlib/elements.o
	$(CC) -mcrt=newlib $^ -o $@ newlib/libexpat.a
	$(STRIP) $(STRIPFLAGS) $@

newlib/elements.o: elements.c

#############################################################################

newlib/outline: newlib/outline.o
	$(CC) -mcrt=newlib $^ -o $@ newlib/libexpat.a
	$(STRIP) $(STRIPFLAGS) $@

newlib/outline.o: outline.c

#############################################################################

newlib/runtests: newlib/runtests.o newlib/chardata.o newlib/minicheck.o
	$(CC) -mcrt=newlib $^ -o $@ newlib/libexpat.a

newlib/chardata.o: chardata.c chardata.h

newlib/minicheck.o: minicheck.c minicheck.h

newlib/runtests.o: runtests.c chardata.h

#############################################################################

newlib/benchmark: newlib/benchmark.o
	$(CC) -mcrt=newlib $^ -o $@ newlib/libexpat.a

newlib/benchmark.o: benchmark.c

#############################################################################

libs/expat.library: libs/expat_lib.o libs/expat_68k.o libs/expat_68k_handler_stubs.o libs/expat_vectors.o newlib/libexpat.a
	$(CC) -mcrt=newlib -nostartfiles $^ -o $@ newlib/libexpat.a -Wl,--cref,-M,-Map=$@.map
	protect $@ -e
	$(STRIP) $(STRIPFLAGS) $@

libs/expat_lib.o: expat_lib.c expat_base.h

libs/expat_68k.o: expat_68k.c expat_68k.h expat_base.h

libs/expat_68k_handler_stubs.o: expat_68k_handler_stubs.c expat_68k.h

libs/expat_vectors.o: expat_vectors.c

libs/launch.o: launch.c

#############################################################################

libs/xmlwf: libs/xmlwf.o libs/xmlfile.o libs/codepage.o libs/readfilemap.o libs/launch.o
	$(CC) -mcrt=newlib $^ -o $@
	$(STRIP) $(STRIPFLAGS) $@

libs/xmlwf.o: xmlwf.c

libs/xmlfile.o: xmlfile.c

libs/codepage.o: codepage.c

libs/readfilemap.o: readfilemap.c

#############################################################################

libs/elements: libs/elements.o libs/launch.o
	$(CC) -mcrt=newlib $^ -o $@
	$(STRIP) $(STRIPFLAGS) $@

libs/elements.o: elements.c

#############################################################################

libs/outline: libs/outline.o libs/launch.o
	$(CC) -mcrt=newlib $^ -o $@
	$(STRIP) $(STRIPFLAGS) $@

libs/outline.o: outline.c

#############################################################################

libs/runtests: libs/runtests.o libs/chardata.o libs/minicheck.o libs/launch.o
	$(CC) -mcrt=newlib $^ -o $@

libs/chardata.o: chardata.c chardata.h

libs/minicheck.o: minicheck.c minicheck.h

libs/runtests.o: runtests.c chardata.h

#############################################################################

libs/benchmark: libs/benchmark.o libs/launch.o
	$(CC) -mcrt=newlib $^ -o $@

libs/benchmark.o: benchmark.c

#############################################################################

so/libexpat.so: so/xmlparse.o so/xmltok.o so/xmlrole.o
	$(CC) -mcrt=newlib -shared -o $@ $^
	protect $@ -e

so/xmlparse.o: xmlparse.c expat.h xmlrole.h xmltok.h \
	expat_external.h internal.h amigaconfig.h

so/xmlrole.o: xmlrole.c ascii.h xmlrole.h expat_external.h \
	internal.h amigaconfig.h

so/xmltok.o: xmltok.c xmltok_impl.c xmltok_ns.c ascii.h asciitab.h \
	iasciitab.h latin1tab.h nametab.h utf8tab.h xmltok.h xmltok_impl.h \
	expat_external.h internal.h amigaconfig.h

#############################################################################

so/xmlwf: newlib/xmlwf.o newlib/xmlfile.o newlib/codepage.o newlib/readfilemap.o
	$(CC) -mcrt=newlib -use-dynld $^ -o $@ -Lso -lexpat
	$(STRIP) $(STRIPFLAGS) $@

#############################################################################

so/elements: newlib/elements.o
	$(CC) -mcrt=newlib -use-dynld $^ -o $@ -Lso -lexpat
	$(STRIP) $(STRIPFLAGS) $@

#############################################################################

so/outline: newlib/outline.o
	$(CC) -mcrt=newlib -use-dynld $^ -o $@ -Lso -lexpat
	$(STRIP) $(STRIPFLAGS) $@

#############################################################################

so/runtests: newlib/runtests.o newlib/chardata.o newlib/minicheck.o
	$(CC) -mcrt=newlib -use-dynld $^ -o $@ -Lso -lexpat

#############################################################################

so/benchmark: newlib/benchmark.o
	$(CC) -mcrt=newlib -use-dynld $^ -o $@ -Lso -lexpat

#############################################################################

clib2/%.o: %.c
	$(CC) -mcrt=clib2 $(CFLAGS) -I../lib -c $< -o $@

newlib/%.o: %.c
	$(CC) -mcrt=newlib $(CFLAGS) -I../lib -c $< -o $@

libs/%.o: %.c
	$(CC) -mcrt=newlib $(CFLAGS) -D__USE_INLINE__ -I. -Iinclude -Iinclude/libraries -I../lib -c $< -o $@

so/%.o: %.c
	$(CC) -mcrt=newlib $(CFLAGS) -fPIC -I../lib -c $< -o $@

=== debian/changelog ===
astropy (3.0-3) unstable; urgency=medium

  [ Stefano Rivera ]
  * Use dh_python3-ply to generate ply dependency

 -- Ole Streicher <olebole@debian.org>  Sun, 25 Feb 2018 13:12:36 +0100

astropy (3.0-2) unstable; urgency=medium

  * Mark all known test failures as xfail
  * Add astropy examples
  * Push debhelper compat to 11
  * Remove unused lintian-overrides

 -- Ole Streicher <olebole@debian.org>  Fri, 16 Feb 2018 11:08:09 +0100

astropy (3.0-1) unstable; urgency=low

  * Create a new source package for the Python 3 version
  * New upstream version 3.0. Rediff patches
  * Update VCS fields to use salsa.d.o
  * Don't remove generic_lextab.py and generic_parsetab.py
  * Add pytest-astropy build dependencies

 -- Ole Streicher <olebole@debian.org>  Tue, 13 Feb 2018 14:36:43 +0100

python-astropy (2.0.3-1) unstable; urgency=low

  * New upstream version 2.0.3
  * Rediff patches
  * Remove http proxy from d/rules to allow localhost connections
  * Use the packaged MathJax

 -- Ole Streicher <olebole@debian.org>  Tue, 19 Dec 2017 11:35:47 +0100

python-astropy (2.0.2-2) unstable; urgency=medium

  * Push Standards-Version to 4.1.2. Change remaining URLs to use https
  * Otherwise unchanged upload for python3.6 transition. Closes: #883403

 -- Ole Streicher <olebole@debian.org>  Tue, 05 Dec 2017 11:16:34 +0100

python-astropy (2.0.2-1) unstable; urgency=medium

  * New upstream version 2.0.2
  * Rediff patches
  * Push Standards-Version to 4.1.0. No changes needed.
  * Shorten message to compare for recent h5py.
  * Rebuiold against current Python versions. Closes: #875317

 -- Ole Streicher <olebole@debian.org>  Mon, 11 Sep 2017 20:39:28 +0200

python-astropy (2.0.1-2) unstable; urgency=medium

  * Changing parametrized tests pytest 3.2.0 compatible
  * Change astropy home URL to https
  * Push standards-version to 4.0.1. No changes needed.
  * Adjust several dependency versions
  * Reimplement reportinfo() in doctestplus extension (Closes: #871995)

 -- Ole Streicher <olebole@debian.org>  Thu, 17 Aug 2017 09:53:02 +0200

python-astropy (2.0.1-1) unstable; urgency=low

  * Change upstream GPG key to Brigitta Sipocz
  * New upstream version 2.0.1

 -- Ole Streicher <olebole@debian.org>  Mon, 31 Jul 2017 09:36:34 +0200

python-astropy (2.0-2) unstable; urgency=low

  * Re-disable test_socketblocker (see upstream #4193).

 -- Ole Streicher <olebole@debian.org>  Thu, 13 Jul 2017 09:19:57 +0200

python-astropy (2.0-1) unstable; urgency=low

  * New upstream version 2.0. Switch back to unstable
  * Rediff patches
  * Re-enable sphinx build
  * Update d/changelog. Change copyright of debian files to BSD-3-Clause

 -- Ole Streicher <olebole@debian.org>  Mon, 10 Jul 2017 10:21:30 +0200

python-astropy (2.0~rc1-1) experimental; urgency=low

  * New upstream release candidate 2.0~rc1
  * Rediff patches
  * Temporarily re-enable almost all test to see if they are fixed
  * Temporarily disable sphinx build

 -- Ole Streicher <olebole@debian.org>  Wed, 28 Jun 2017 08:38:02 +0200

python-astropy (1.3.3-1) unstable; urgency=low

  [ Leo Singer ]
  * Enable Matplotlib tests
  * Add build dependency on h5py to enable related unit tests
  * Qualify dependency on pytest >= 2.7.0 because the unit tests
    make use of parameterize ids as a callable, a feature that was
    added in that version. See also:
    https://docs.pytest.org/en/latest/changelog.html#id156

  [ Ole Streicher ]
  * New upstream version 1.3.3
  * Rediff patches
  * Push Standards-Version to 4.0.0. No changes needed

 -- Ole Streicher <olebole@debian.org>  Tue, 20 Jun 2017 20:58:21 +0200

python-astropy (1.3-8) unstable; urgency=medium

  * Switch to unstable. Closes: #852550
  * Revert unrelated "Improved detection of ascii fast_reader in non-fast
    parsers"

 -- Ole Streicher <olebole@debian.org>  Wed, 25 Jan 2017 16:17:26 +0100

python-astropy (1.3-8~exp2) experimental; urgency=medium

  * Fix pytest section, finally re-enabling doctests

 -- Ole Streicher <olebole@debian.org>  Thu, 19 Jan 2017 17:27:30 +0100

python-astropy (1.3-8~exp1) experimental; urgency=medium

  * Switch to experimental for some tests
  * Try to fix doctest failures
  * Improved detection of ascii fast_reader in non-fast parsers

 -- Ole Streicher <olebole@debian.org>  Thu, 19 Jan 2017 09:57:22 +0100

python-astropy (1.3-7) unstable; urgency=medium

  * Allow stderr in all tests

 -- Ole Streicher <olebole@debian.org>  Sun, 15 Jan 2017 14:35:17 +0100

python-astropy (1.3-6) unstable; urgency=medium

  * Override missing-build-dependency-for-dh_-command
  * Add python-astropy-affiliated to suggestions
  * Add pytest to package dependencies
  * Fix default value for remote_data option. Closes: #849501
  * Remove wcslib 4.24 compatibility property. Closes: #844525

 -- Ole Streicher <olebole@debian.org>  Sat, 14 Jan 2017 11:28:01 +0100

python-astropy (1.3-5) unstable; urgency=medium

  * Manually add dependencies for external packages

 -- Ole Streicher <olebole@debian.org>  Thu, 12 Jan 2017 22:51:46 +0100

python-astropy (1.3-4) unstable; urgency=medium

  * Mark doc package as Multi-Arch: foreign as suggested by Multiarch hinter
  * Remove wcsaxes suggestions since this is now part of astropy
  * Use external modules instead of convenience copies. Closes: #849502
  * Temporarily disable doctests (not working with pytest 3.0.5)
  * Remove explicite dh_strip_nondeterminism

 -- Ole Streicher <olebole@debian.org>  Thu, 12 Jan 2017 12:17:23 +0100

python-astropy (1.3-3) unstable; urgency=medium

  * Ensure NUMPY_LT_1_12 works for beta prerelease. Closes: #849271

 -- Ole Streicher <olebole@debian.org>  Thu, 29 Dec 2016 09:52:44 +0100

python-astropy (1.3-2) unstable; urgency=low

  * Disable TestDisplayWorldCoordinate.test_cube_coords to fix FTBFS on MIPS

 -- Ole Streicher <olebole@debian.org>  Fri, 23 Dec 2016 17:58:24 +0100

python-astropy (1.3-1) unstable; urgency=low

  * New upstream version 1.3
  * Switch back to unstable
  * Rediff patches



=== debian/control ===
Source: astropy
Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Section: python
Priority: optional
Build-Depends: cython3,
               debhelper (>= 11),
               dh-python,
               graphviz,
               libcfitsio-dev | libcfitsio3-dev,
               liberfa-dev (>= 1.1.0),
               libexpat1-dev,
               libjs-jquery,
               libjs-jquery-datatables,
               libjs-mathjax,
               pkg-config,
               python3-all-dev,
               python3-astropy-helpers (>= 3~),
               python3-configobj,
               python3-h5py,
               python3-jinja2,
               python3-matplotlib,
               python3-nose,
               python3-numpy (>= 1:1.7),
               python3-ply (>= 3.5),
               python3-pytest (>= 3.1),
               python3-pytest-astropy,
               python3-pytest-mpl,
               python3-scipy,
               python3-setuptools (>= 0.6.4),
               python3-six (>= 1.10.0),
               python3-sphinx (>= 1.3),
               python3-yaml,
               wcslib-dev (>= 5.8),
               zlib1g-dev
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/debian-astro-team/astropy
Vcs-Git: https://salsa.debian.org/debian-astro-team/astropy.git
Homepage: https://astropy.org
X-Python3-Version: >= 3.2

Package: python3-astropy
Architecture: any
Depends: python3-configobj,
         python3-pytest (>= 3.1),
         python3-pytest-astropy,
         python3-six (>= 1.10.0),
         ${misc:Depends},
         ${python3:Depends},
         ${python3-ply:Depends},
         ${shlibs:Depends}
Suggests: libxml2-utils,
          python-astropy-doc,
          python3-astropy-affiliated,
          python3-beautifulsoup,
          python3-h5py,
          python3-matplotlib,
          python3-pandas,
          python3-scipy,
          python3-tz,
          python3-yaml
Recommends: libjs-jquery,
            libjs-jquery-datatables
Description: Core functionality for performing astrophysics with Python
 The astropy package contains core functionality and some common tools
 needed for performing astronomy and astrophysics research with Python.
 It can be extended by a number of "affiliated packages" that are
 intended to work with the core package.

Package: python-astropy-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Core functionality for performing astrophysics with Python (doc)
 The astropy package contains core functionality and some common tools
 needed for performing astronomy and astrophysics research with Python.
 It can be extended by a number of "affiliated packages" that are
 intended to work with the core package.
 .
 This package contains the package documentation.

Package: astropy-utils
Architecture: all
Section: science
Depends: python3-astropy (<< ${source:Version}.1~),
         python3-astropy (>= ${source:Version}),
         python3-pkg-resources,
         ${misc:Depends},
         ${python3:Depends}
Breaks: fitscheck (<< 1:3.1.2-1~),
        pyfits-utils (<<1:3.3-4~),
        python-pyfits (<< 1:3.0.7-4~)
Replaces: fitscheck (<< 1:3.1.2-1~),
          pyfits-utils (<<1:3.3-4~),
          python-pyfits (<< 1:3.0.7-4~)
Description: Command line tools from astropy
 The astropy package contains core functionality and some common tools
 needed for performing astronomy and astrophysics research with Python.
 .
 This package contains the tools that come with astropy:
 .
  * fitscheck: Detect and fix FITS standards violations
  * fits2bitmap: Create a bitmap file from a FITS image.
  * fitsdiff: Compare two FITS image files and report the differences in
    header keywords and data.
  * fitsheader: Print the header(s) of one or more FITS file(s) to the
    standard output in a human-readable format.
  * samp_hub: SAMP Hub Server.
  * volint: Check a VOTable file for compliance to the VOTable specification
  * wcslint: Check the WCS keywords in a FITS file for compliance against
    the standards

=== debian/rules ===
#!/usr/bin/make -f

# set the MPLCONFIGDIR to avoid writing into non writable location
export HOME=$(CURDIR)/build
export MPLCONFIGDIR=$(CURDIR)/build

# Use agg Matplotlib backend for testing on headless machines.
export MPLBACKEND=agg

export PYBUILD_BUILD_ARGS=--use-system-libraries

export LC_ALL=C.UTF-8

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_shlibdeps:
	dh_shlibdeps
	dh_numpy3

override_dh_installdocs-indep:
	python3 setup.py build_docs
	dh_installdocs

override_dh_sphinxdoc-arch:
	# sphinxdoc is only needed on indep and does not work here.

override_dh_installchangelogs:
	dh_installchangelogs docs/changelog.rst

override_dh_auto_clean:
	dh_auto_clean
	rm -rf astropy/extern/configobj
	rm -rf build astropy.egg-info
	rm -rf astropy_helpers-*.egg
	rm -rf docs/_build docs/_generated

override_dh_python3:
	dh_python3
	dh_python3-ply $$(find $(PYBUILD_DESTDIR_python3) -name '*tab.py')

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	python3 setup.py test -vv --args "-vv --mpl"
endif

override_dh_strip_nondeterminism:
	dh_strip_nondeterminism -Xinvalid.dat.gz

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/;s/\.(post)/+$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/astropy/astropy-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## astropy 3.0.4

=== debian/changelog ===
astropy (3.0.4-3) unstable; urgency=medium

  * Unrestrict last, forgotten s390x test xfail

 -- Ole Streicher <olebole@debian.org>  Sat, 11 Aug 2018 21:23:14 +0200

astropy (3.0.4-2) unstable; urgency=medium

  * Mark failures on s390x as not strict: they succeed on Ubuntu

 -- Ole Streicher <olebole@debian.org>  Sat, 11 Aug 2018 10:31:38 +0200

astropy (3.0.4-1) unstable; urgency=low

  * New upstream version 3.0.4. Rediff patches
  * Unlimit max Python version
  * Push Standards-Version to 4.2.0. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Sat, 04 Aug 2018 07:25:55 +0800

astropy (3.0.3-5) unstable; urgency=low

  * Disable tests that fail on s390x
  * Remove remote content from whatsnew page

 -- Ole Streicher <olebole@debian.org>  Tue, 31 Jul 2018 19:50:02 +0800

astropy (3.0.3-4) unstable; urgency=low

  * Temporarily limit Python version to <3.7
  * Push Standards-Version to 4.1.5. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Tue, 31 Jul 2018 14:53:55 +0800

astropy (3.0.3-3) unstable; urgency=low

  * Disable more write modes in CI test

 -- Ole Streicher <olebole@debian.org>  Mon, 04 Jun 2018 10:26:51 +0200

astropy (3.0.3-2) unstable; urgency=low

  * Disable known CI test failure

 -- Ole Streicher <olebole@debian.org>  Sat, 02 Jun 2018 06:40:03 -0700

astropy (3.0.3-1) unstable; urgency=low

  * New upstream version 3.0.3. Rediff patches

 -- Ole Streicher <olebole@debian.org>  Fri, 01 Jun 2018 16:29:03 -0700

astropy (3.0.2-2) unstable; urgency=low

  * Explicitly generate PLY files
  * Disable float128 test due to numpy representation bug

 -- Ole Streicher <olebole@debian.org>  Thu, 17 May 2018 13:20:41 +0200

astropy (3.0.2-1) unstable; urgency=medium

  * Put use_system_libs into setup.cfg. Closes: #898475
  * Cleanup all ply generated files
  * New upstream version 3.0.2. Rediff patches
  * Push Standards-Version to 4.1.4. No changes needed.
  * Remove outdated X-Python3-Version

 -- Ole Streicher <olebole@debian.org>  Tue, 15 May 2018 11:08:40 +0200

=== debian/control ===
--- 
+++ 
@@ -33,11 +33,11 @@
                python3-yaml,
                wcslib-dev (>= 5.8),
                zlib1g-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.2.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/astropy
 Vcs-Git: https://salsa.debian.org/debian-astro-team/astropy.git
 Homepage: https://astropy.org
-X-Python3-Version: >= 3.2
+X-Python3-Version: >= 3.5
 
 Package: python3-astropy
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,10 @@
 # Use agg Matplotlib backend for testing on headless machines.
 export MPLBACKEND=agg
 
-export PYBUILD_BUILD_ARGS=--use-system-libraries
+export LC_ALL=C.UTF-8
 
-export LC_ALL=C.UTF-8
+# Generate PLY files
+export PYBUILD_AFTER_BUILD=cd {build_dir}; python{version} -c 'import astropy.coordinates; astropy.coordinates.angle_utilities.parse_angle("0°"); import astropy.units.format; astropy.units.format.CDS.parse("m/s"); astropy.units.format.Generic.parse("m"); astropy.units.format.OGIP.parse("m/s")'
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
@@ -39,10 +40,5 @@
 	dh_python3
 	dh_python3-ply $$(find $(PYBUILD_DESTDIR_python3) -name '*tab.py')
 
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-override_dh_auto_test:
-	python3 setup.py test -vv --args "-vv --mpl"
-endif
-
 override_dh_strip_nondeterminism:
 	dh_strip_nondeterminism -Xinvalid.dat.gz

## astropy 3.0.5

=== debian/changelog ===
astropy (3.0.5-1) unstable; urgency=medium

  * Update reference to astropy paper 2
  * Set minimal version of numpy to 1.10
  * Updates for wcslib 6
  * New upstream version 3.0.5. Rediff patches

 -- Ole Streicher <olebole@debian.org>  Thu, 08 Nov 2018 20:52:24 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                python3-jinja2,
                python3-matplotlib,
                python3-nose,
-               python3-numpy (>= 1:1.7),
+               python3-numpy (>= 1:1.10),
                python3-ply (>= 3.5),
                python3-pytest (>= 3.1),
                python3-pytest-astropy,

## astropy 3.1.1

=== debian/changelog ===
astropy (3.1.1-1build1) disco; urgency=medium

  * No-change rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 28 Jan 2019 14:13:29 +0100

astropy (3.1.1-1) unstable; urgency=medium

  * New upstream version 3.1.1. Rediff patches
  * Adjust build dependency versions

 -- Ole Streicher <olebole@debian.org>  Fri, 11 Jan 2019 09:47:01 +0100

astropy (3.1-3) unstable; urgency=medium

  * Spellfix: distutil*s*

 -- Ole Streicher <olebole@debian.org>  Sun, 30 Dec 2018 20:54:00 +0100

astropy (3.1-2) unstable; urgency=medium

  * Add python3-distutil to requirements

 -- Ole Streicher <olebole@debian.org>  Sun, 30 Dec 2018 00:11:39 +0100

astropy (3.1-1) unstable; urgency=medium

  * New upstream version 3.1. Rediff patches
  * Drop Disable-tests-that-fail-on-s390x.patch: Fixed in scipy
  * Drop Mark-all-known-test-failures-as-xfail.patch: Fixed in numpy
  * Push Standards-Version to 4.3.0. No changes needed
  * Ensure we support the new matmul ufunc in numpy 1.16. Closes: #917466
  * Add sphinx-astropy build dependency
  * Remove outdated paragraphs from d/copyright

 -- Ole Streicher <olebole@debian.org>  Wed, 26 Dec 2018 21:09:53 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Ole Streicher <olebole@debian.org>
 Section: python
 Priority: optional
-Build-Depends: cython3,
+Build-Depends: cython3 (>= 0.21),
                debhelper (>= 11),
                dh-python,
                graphviz,
@@ -16,9 +16,10 @@
                pkg-config,
                python3-all-dev,
                python3-astropy-helpers (>= 3~),
+               python3-astropy-sphinx-theme,
                python3-configobj,
                python3-h5py,
-               python3-jinja2,
+               python3-jinja2 (>= 2.7),
                python3-matplotlib,
                python3-nose,
                python3-numpy (>= 1:1.10),
@@ -30,10 +31,11 @@
                python3-setuptools (>= 0.6.4),
                python3-six (>= 1.10.0),
                python3-sphinx (>= 1.3),
+               python3-sphinx-astropy,
                python3-yaml,
                wcslib-dev (>= 5.8),
                zlib1g-dev
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/astropy
 Vcs-Git: https://salsa.debian.org/debian-astro-team/astropy.git
 Homepage: https://astropy.org
@@ -42,12 +44,13 @@
 Package: python3-astropy
 Architecture: any
 Depends: python3-configobj,
+         python3-distutils,
          python3-pytest (>= 3.1),
          python3-pytest-astropy,
          python3-six (>= 1.10.0),
          ${misc:Depends},
+         ${python3-ply:Depends},
          ${python3:Depends},
-         ${python3-ply:Depends},
          ${shlibs:Depends}
 Suggests: libxml2-utils,
           python-astropy-doc,
@@ -56,11 +59,11 @@
           python3-h5py,
           python3-matplotlib,
           python3-pandas,
-          python3-scipy,
           python3-tz,
           python3-yaml
 Recommends: libjs-jquery,
-            libjs-jquery-datatables
+            libjs-jquery-datatables,
+            python3-scipy
 Description: Core functionality for performing astrophysics with Python
  The astropy package contains core functionality and some common tools
  needed for performing astronomy and astrophysics research with Python.

## astropy 3.1.2

=== debian/changelog ===
astropy (3.1.2-2) unstable; urgency=medium

  * Fix problem with tables on big endian archs

 -- Ole Streicher <olebole@debian.org>  Wed, 27 Feb 2019 22:39:47 +0100

astropy (3.1.2-1) unstable; urgency=low

  * Add gitlab-ci.yml
  * New upstream bugfix version 3.1.2. Rediff patches
  * Push compat to 12

 -- Ole Streicher <olebole@debian.org>  Mon, 25 Feb 2019 20:20:50 +0100

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	dh_numpy3
 
 override_dh_installdocs-indep:
-	python3 setup.py build_docs
+	PYTHONPATH=$(CURDIR)/debian python3 setup.py build_docs
 	dh_installdocs
 
 override_dh_sphinxdoc-arch:

=== debian/tests/control ===
Tests: python3-astropy
Depends: python3-astropy, python3-scipy
Restrictions: allow-stderr

## astropy 3.2.1

=== debian/changelog ===
astropy (3.2.1-1build1) eoan; urgency=medium

  * No-change rebuild against libcfitsio8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 04 Aug 2019 05:46:31 +0000

astropy (3.2.1-1) unstable; urgency=low

  * New regular upstream version 3.2.1. Switch back to unstable.
  * Rediff patches. Drop test_absolute_times (applied upstream)
  * Adjust min version for numpy to 1.13
  * Push Standards-Version to 4.4.0. No changes needed.
  * Update removal of external package copies

 -- Ole Streicher <olebole@debian.org>  Tue, 09 Jul 2019 15:26:15 +0200

astropy (3.2~rc1-2) experimental; urgency=medium

  * Fix test_absolute_times in BLS periodogram test suite on i386

 -- Ole Streicher <olebole@debian.org>  Wed, 15 May 2019 15:14:04 +0200

astropy (3.2~rc1-1) experimental; urgency=medium

  * New upstream version 3.2~rc1
  * Rediff patches
  * Add --offline option to setup.py
  * Require helpers >= 3.2

 -- Ole Streicher <olebole@debian.org>  Mon, 13 May 2019 16:19:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: astropy
-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
 Section: python
 Priority: optional
 Build-Depends: cython3 (>= 0.21),
-               debhelper (>= 11),
+               debhelper (>= 12),
                dh-python,
                graphviz,
                libcfitsio-dev | libcfitsio3-dev,
@@ -15,14 +16,14 @@
                libjs-mathjax,
                pkg-config,
                python3-all-dev,
-               python3-astropy-helpers (>= 3~),
+               python3-astropy-helpers (>= 3.2~),
                python3-astropy-sphinx-theme,
                python3-configobj,
                python3-h5py,
                python3-jinja2 (>= 2.7),
                python3-matplotlib,
                python3-nose,
-               python3-numpy (>= 1:1.10),
+               python3-numpy (>= 1:1.13),
                python3-ply (>= 3.5),
                python3-pytest (>= 3.1),
                python3-pytest-astropy,
@@ -35,7 +36,7 @@
                python3-yaml,
                wcslib-dev (>= 5.8),
                zlib1g-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/astropy
 Vcs-Git: https://salsa.debian.org/debian-astro-team/astropy.git
 Homepage: https://astropy.org

## astropy 4.0

=== debian/changelog ===
astropy (4.0-4ubuntu1) focal; urgency=medium

  * Ignore errors building the documentation for the examples.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Feb 2020 23:03:34 +0100

astropy (4.0-4) unstable; urgency=medium

  * Update WCSLIB to version 7.1
  * Weaken leap second validity requirement for tests
  * Remove intersphinx mapping

 -- Ole Streicher <olebole@debian.org>  Thu, 20 Feb 2020 20:58:00 +0100

astropy (4.0-3) unstable; urgency=medium

  * Add breaks for astroquery, gwcs, specutils

 -- Ole Streicher <olebole@debian.org>  Tue, 14 Jan 2020 14:29:24 +0100

astropy (4.0-2) unstable; urgency=low

  * Make some votable tests xfail that fail under mips64el

 -- Ole Streicher <olebole@debian.org>  Fri, 20 Dec 2019 13:57:24 +0100

astropy (4.0-1) unstable; urgency=low

  * New upstream version 4.0. Switch back to unstable
  * Drop patches that were applied upstream
  * Don't turn deprecation warnings into errors

 -- Ole Streicher <olebole@debian.org>  Fri, 20 Dec 2019 10:21:40 +0100

astropy (4.0~rc2-2) experimental; urgency=medium

  * Invoke Pytest in CI test command
  * Ignore RuntimeWarning in MIPS
  * Disable failing test on amd64 and mips64el

 -- Ole Streicher <olebole@debian.org>  Wed, 11 Dec 2019 10:51:00 +0100

astropy (4.0~rc2-1) experimental; urgency=medium

  * New upstream version 4.0~rc2
  * Rediff patches
  * Changed ERANGE check in xstrtod to >= |HUGE_VAL|

 -- Ole Streicher <olebole@debian.org>  Mon, 09 Dec 2019 15:35:39 +0100

astropy (4.0~rc1-2) experimental; urgency=medium

  * Ignore Matplotlib deprecation warning in conftest.py
  * Avoid warning for invalid number for np.sign

 -- Ole Streicher <olebole@debian.org>  Fri, 06 Dec 2019 09:29:54 +0100

astropy (4.0~rc1-1) experimental; urgency=medium

  * New upstream version 4.0~rc1. Rediff patches
  * Depend on (experimental) extended erfa version
  * Ignore deprecation errors
  * Fix generation of units parser lexer

 -- Ole Streicher <olebole@debian.org>  Wed, 27 Nov 2019 08:33:29 +0100

astropy (3.2.3-3) unstable; urgency=medium

  * Disable failing tests

 -- Ole Streicher <olebole@debian.org>  Sat, 23 Nov 2019 13:31:28 +0100

astropy (3.2.3-2) unstable; urgency=medium

  * Ignore deprecation failures in test (Closes: #944101)
  * Add a Breaks for previous versions of astroplan (Closes: #933102)

 -- Ole Streicher <olebole@debian.org>  Fri, 22 Nov 2019 21:35:00 +0100

astropy (3.2.3-1) unstable; urgency=low

  * New upstream version 3.2.3. Rediff patches

 -- Ole Streicher <olebole@debian.org>  Fri, 01 Nov 2019 08:55:15 +0100

astropy (3.2.2-1) unstable; urgency=low

  * New upstream version 3.2.2. Rediff patches
  * Push Standards-Version to 4.4.1. No changes needed
  * Push compat to 12. Remove d/compat
  * Allow XFAIL tests to pass
  * Remove outdated X-Python3-Version field from d/control

 -- Ole Streicher <olebole@debian.org>  Sun, 13 Oct 2019 07:09:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: astropy
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
 Section: python
 Priority: optional
 Build-Depends: cython3 (>= 0.21),
-               debhelper (>= 12),
+               debhelper-compat (= 12),
                dh-python,
                graphviz,
                libcfitsio-dev | libcfitsio3-dev,
-               liberfa-dev (>= 1.1.0),
+               liberfa-dev (>= 1.6.0-3),
                libexpat1-dev,
                libjs-jquery,
                libjs-jquery-datatables,
@@ -36,11 +35,10 @@
                python3-yaml,
                wcslib-dev (>= 5.8),
                zlib1g-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/astropy
 Vcs-Git: https://salsa.debian.org/debian-astro-team/astropy.git
 Homepage: https://astropy.org
-X-Python3-Version: >= 3.5
 
 Package: python3-astropy
 Architecture: any
@@ -65,6 +63,10 @@
 Recommends: libjs-jquery,
             libjs-jquery-datatables,
             python3-scipy
+Breaks: python3-astroplan (<< 0.5~),
+        python3-astroquery (<< 0.3.10+dfsg-2~),
+        python3-gwcs (<< 0.12~),
+        python3-specutils (<< 0.7~)
 Description: Core functionality for performing astrophysics with Python
  The astropy package contains core functionality and some common tools
  needed for performing astronomy and astrophysics research with Python.

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,10 @@
 
 # Generate PLY files
 export PYBUILD_AFTER_BUILD=cd {build_dir}; python{version} -c 'import astropy.coordinates; astropy.coordinates.angle_utilities.parse_angle("0°"); import astropy.units.format; astropy.units.format.CDS.parse("m/s"); astropy.units.format.Generic.parse("m"); astropy.units.format.OGIP.parse("m/s")'
+export PYBUILD_CLEAN_ARGS=--offline
+export PYBUILD_CONFIGURE_ARGS=--offline
+export PYBUILD_BUILD_ARGS=--offline
+export PYBUILD_INSTALL_ARGS=--offline
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
@@ -20,7 +24,7 @@
 	dh_numpy3
 
 override_dh_installdocs-indep:
-	PYTHONPATH=$(CURDIR)/debian python3 setup.py build_docs
+	-PYTHONPATH=$(CURDIR)/debian python3 setup.py build_docs
 	dh_installdocs
 
 override_dh_sphinxdoc-arch:
@@ -31,7 +35,6 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -rf astropy/extern/configobj
 	rm -rf build astropy.egg-info
 	rm -rf astropy_helpers-*.egg
 	rm -rf docs/_build docs/_generated

## astropy 4.0.1+post1

=== debian/changelog ===
astropy (4.0.1+post1-4ubuntu3) groovy; urgency=medium

  * No change rebuild against new cfitsio ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 27 Aug 2020 23:46:56 +0100

astropy (4.0.1+post1-4ubuntu2) groovy; urgency=medium

  * More work on autopkgtest:
    - Drop debian/patches/Weaken-leap-second-validity-requirement-for-tests.patch
    - Backport debian/patches/Skip-if-sys-file-expired-even-when-not-on-CI.patch 
      from upstream.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 17 Aug 2020 21:46:21 +1200

astropy (4.0.1+post1-4ubuntu1) groovy; urgency=medium

  * Update leap second and iers tables, fixing autopkgtests. (Closes: #966713)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 17 Aug 2020 16:05:31 +1200

astropy (4.0.1+post1-4) unstable; urgency=medium

  * Fix stats doctest failures due to upstream changes. (Closes: #967965)

 -- Ole Streicher <olebole@debian.org>  Thu, 06 Aug 2020 14:30:26 +0200

astropy (4.0.1+post1-3) unstable; urgency=medium

  * Don't check return value of fitscheck. Closes: #963816

 -- Ole Streicher <olebole@debian.org>  Sat, 25 Jul 2020 15:32:32 +0200

astropy (4.0.1+post1-2) unstable; urgency=medium

  * Exclude asdf subdir from testing
  * Update WCSLIB compatibility to v7.3

 -- Ole Streicher <olebole@debian.org>  Sun, 14 Jun 2020 14:48:12 +0200

astropy (4.0.1+post1-1) unstable; urgency=medium

  * New upstream version 4.0.1+post1. Rediff patches
  * Use sphinx-automodapi provided by the system (Closes: #959581)

 -- Ole Streicher <olebole@debian.org>  Wed, 06 May 2020 18:10:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: astropy
-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
 Section: python
 Priority: optional
@@ -32,6 +33,7 @@
                python3-six (>= 1.10.0),
                python3-sphinx (>= 1.3),
                python3-sphinx-astropy,
+               python3-sphinx-automodapi,
                python3-yaml,
                wcslib-dev (>= 5.8),
                zlib1g-dev

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 	dh_numpy3
 
 override_dh_installdocs-indep:
-	-PYTHONPATH=$(CURDIR)/debian python3 setup.py build_docs
+	PYTHONPATH=$(CURDIR)/debian python3 setup.py build_docs
 	dh_installdocs
 
 override_dh_sphinxdoc-arch:

## astropy 4.1

=== debian/changelog ===
astropy (4.1-2) unstable; urgency=medium

  * Switch back to unstable

 -- Ole Streicher <olebole@debian.org>  Wed, 28 Oct 2020 12:51:24 +0100

astropy (4.1-1) experimental; urgency=medium

  * Remove upstream GPG key
  * New upstream version 4.1. Rediff patches
  * Remove leading slash in d/not-installed entry

 -- Ole Streicher <olebole@debian.org>  Wed, 28 Oct 2020 09:25:31 +0100

astropy (4.1~rc2-4) experimental; urgency=medium

  * Replace local fix for Skip flaky modeling test with upstream patch
  * Skip test_timer (obsolete) which failed once on s390x

 -- Ole Streicher <olebole@debian.org>  Wed, 14 Oct 2020 08:29:53 +0200

astropy (4.1~rc2-3) experimental; urgency=medium

  * Mark test_compound_fitting_with_units as xfail
  * Unconditionally skip wcsapi test if compilation fails

 -- Ole Streicher <olebole@debian.org>  Tue, 13 Oct 2020 11:44:01 +0200

astropy (4.1~rc2-2) experimental; urgency=medium

  * Never use setuptools_scm except when importing astropy from within
    a checkout of the git repository
  * Temporarily allow "make docs" to fail
  * Allow file not to be installed
  * Add _version.py to d/clean

 -- Ole Streicher <olebole@debian.org>  Mon, 12 Oct 2020 20:46:32 +0200

astropy (4.1~rc2-1) experimental; urgency=low

  * New upstream version 4.1~rc2. Rediff patches
  * Add "Rules-Requires-Root: no" to d/control
  * Remove outdated source lintian-override
  * Remove unused wildcard in d/copyright
  * Push dh-compat to 13. Create d/not-installed file

 -- Ole Streicher <olebole@debian.org>  Thu, 17 Sep 2020 09:39:25 +0200

astropy (4.1~rc1-2) experimental; urgency=medium

  * Update WCSLIB compatibility to v7.3

 -- Ole Streicher <olebole@debian.org>  Fri, 12 Jun 2020 21:26:07 +0200

astropy (4.1~rc1-1) experimental; urgency=low

  * New upstream RC version 4.1~rc1. Switch to experimental.
  * Rediff patches
  * Use environment variable to specify usage of system libs
  * Push Standards-Version to 4.5.0. No changes needed
  * Remove outdated version numbers from (build) dependencies
  * Make setuptools-scm happy
  * Remove '--offline' argument of setup.py
  * Replace astropy-helpers build dep by extension-helpers
  * Don't run erfa generator script during build
  * Make test_wtbarr_print xfail
  * *** Don't build API docs for the moment ***
  * Exclude test_tab.py from files to handle with ply

 -- Ole Streicher <olebole@debian.org>  Fri, 12 Jun 2020 16:31:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: astropy
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
 Section: python
 Priority: optional
-Build-Depends: cython3 (>= 0.21),
-               debhelper-compat (= 12),
+Build-Depends: cython3,
+               debhelper-compat (= 13),
                dh-python,
                graphviz,
                libcfitsio-dev | libcfitsio3-dev,
@@ -16,11 +15,11 @@
                libjs-mathjax,
                pkg-config,
                python3-all-dev,
-               python3-astropy-helpers (>= 3.2~),
                python3-astropy-sphinx-theme,
                python3-configobj,
+               python3-extension-helpers,
                python3-h5py,
-               python3-jinja2 (>= 2.7),
+               python3-jinja2,
                python3-matplotlib,
                python3-nose,
                python3-numpy (>= 1:1.13),
@@ -29,7 +28,8 @@
                python3-pytest-astropy,
                python3-pytest-mpl,
                python3-scipy,
-               python3-setuptools (>= 0.6.4),
+               python3-setuptools,
+               python3-setuptools-scm,
                python3-six (>= 1.10.0),
                python3-sphinx (>= 1.3),
                python3-sphinx-astropy,
@@ -37,10 +37,11 @@
                python3-yaml,
                wcslib-dev (>= 5.8),
                zlib1g-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/astropy
 Vcs-Git: https://salsa.debian.org/debian-astro-team/astropy.git
 Homepage: https://astropy.org
+Rules-Requires-Root: no
 
 Package: python3-astropy
 Architecture: any
@@ -53,18 +54,18 @@
          ${python3-ply:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
+Recommends: libjs-jquery,
+            libjs-jquery-datatables,
+            python3-scipy
 Suggests: libxml2-utils,
           python-astropy-doc,
           python3-astropy-affiliated,
-          python3-beautifulsoup,
+          python3-bs4,
           python3-h5py,
           python3-matplotlib,
           python3-pandas,
           python3-tz,
           python3-yaml
-Recommends: libjs-jquery,
-            libjs-jquery-datatables,
-            python3-scipy
 Breaks: python3-astroplan (<< 0.5~),
         python3-astroquery (<< 0.3.10+dfsg-2~),
         python3-gwcs (<< 0.12~),
@@ -97,12 +98,8 @@
          python3-pkg-resources,
          ${misc:Depends},
          ${python3:Depends}
-Breaks: fitscheck (<< 1:3.1.2-1~),
-        pyfits-utils (<<1:3.3-4~),
-        python-pyfits (<< 1:3.0.7-4~)
-Replaces: fitscheck (<< 1:3.1.2-1~),
-          pyfits-utils (<<1:3.3-4~),
-          python-pyfits (<< 1:3.0.7-4~)
+Breaks: pyfits-utils (<<1:3.3-4~)
+Replaces: pyfits-utils (<<1:3.3-4~)
 Description: Command line tools from astropy
  The astropy package contains core functionality and some common tools
  needed for performing astronomy and astrophysics research with Python.
